@echo off
@echo ============================================================
@echo NEC DRIVE ND-7551A Firmware Change (Ver1-P2)
@echo ============================================================

C75511P2
if errorlevel 255 goto errend
if errorlevel 37 goto okend3
if errorlevel 36 goto okend3
if errorlevel 35 goto okend3
if errorlevel 34 goto okend3
if errorlevel 33 goto okend3
if errorlevel 32 goto okend3
if errorlevel 31 goto okend3
if errorlevel 30 goto okend3
if errorlevel 27 goto ssm
if errorlevel 26 goto smm
if errorlevel 25 goto psm
if errorlevel 24 goto pmm
if errorlevel 23 goto ssm
if errorlevel 22 goto smm
if errorlevel 21 goto psm
if errorlevel 20 goto pmm

@echo ============================================================
@echo Another Error.
@echo ============================================================
goto errend

:pmm
M75511P2 /p:0 /d:0 /FWCHK:2
goto okend1

:psm
M75511P2 /p:0 /d:1 /FWCHK:2
goto okend1

:smm
M75511P2 /p:1 /d:0 /FWCHK:2
goto okend1

:ssm
M75511P2 /p:1 /d:1 /FWCHK:2
goto okend1

:errend
goto end

:okend1
@echo ============================================================
@echo If there is a floppy disk in drive A:, please remove it now.
@echo And then turn off your PC.
@echo ============================================================
goto end

:okend3
@echo ============================================================
@echo Drive is Already New Firmware.
@echo ============================================================
goto end

:end
